#
# rhevm-setup-plugins -- ovirt engine setup
# Copyright (C) 2013 Red Hat, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#


""" rhevm-engine distro-rhel plugin.
    Includes code relevant for RHEL only.
"""


from otopi import util


from . import core
from . import config
from . import reports
from . import image_upload
from . import pki30
from . import setup_reinstallable
from . import public_glance_repository
from . import showupgradekb


@util.export
def createPlugins(context):
    core.Plugin(context=context)
    config.Plugin(context=context)
    reports.Plugin(context=context)
    image_upload.Plugin(context=context)
    pki30.Plugin(context=context)
    setup_reinstallable.Plugin(context=context)
    public_glance_repository.Plugin(context=context)
    showupgradekb.Plugin(context=context)


# vim: expandtab tabstop=4 shiftwidth=4
